Name:             python-cinderclient
Version:          1.0.7
Release:          2%{?dist}
Summary:          Python API and CLI for OpenStack Cinder

Group:            Development/Languages
License:          ASL 2.0
URL:              http://github.com/openstack/python-cinderclient
Source0:          http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

#
# patches_base=1.0.7+1
#
Patch0001: 0001-Remove-runtime-dependency-on-python-pbr.patch
Patch0002: 0002-Nuke-python-requirements-handling.patch
Patch0003: 0003-Add-search_opts-into-the-method-list-for-VolumeTypeM.patch

BuildArch:        noarch

BuildRequires:    python2-devel
BuildRequires:    python-setuptools
BuildRequires:    python-pbr
BuildRequires:    python-d2to1

Requires:         python-argparse
Requires:         python-babel
Requires:         python-prettytable
Requires:         python-requests
Requires:         python-setuptools
Requires:         python-simplejson
Requires:         python-six

%description
Client library (cinderclient python module) and command line utility
(cinder) for interacting with OpenStack Cinder (Block Storage) API.


%package doc
Summary:          Documentation for OpenStack Nova API Client
Group:            Documentation

BuildRequires:    python-sphinx10

%description      doc
Client library (cinderclient python module) and command line utility
(cinder) for interacting with OpenStack Cinder (Block Storage) API.

This package contains auto-generated documentation.


%prep
%setup -q

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

# We provide version like this in order to remove runtime dep on pbr.
sed -i s/REDHATCINDERCLIENTVERSION/%{version}/ cinderclient/__init__.py

# Remove bundled egg-info
rm -rf python_cinderclient.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/profile.d
# TODO: move to /etc/bash_completion.d when bash-comp is in RHEL
install -pm 644 tools/cinder.bash_completion %{buildroot}%{_sysconfdir}/profile.d/cinder.sh

# Delete tests
rm -fr %{buildroot}%{python_sitelib}/cinderclient/tests

export PYTHONPATH="$( pwd ):$PYTHONPATH"
sphinx-1.0-build -b html doc/source html
sphinx-1.0-build -b man doc/source man

install -p -D -m 644 man/cinder.1 %{buildroot}%{_mandir}/man1/cinder.1

# Fix hidden-file-or-dir warnings
rm -fr html/.doctrees html/.buildinfo

%files
%doc LICENSE README.rst
%{_bindir}/cinder
%{_sysconfdir}/profile.d/cinder.sh
%{_mandir}/man1/cinder.1*
%{python_sitelib}/cinderclient
%{python_sitelib}/*.egg-info

%files doc
%doc html

%changelog
* Wed Dec 18 2013 Jakub Ruzicka <jruzicka@redhat.com> 1.0.7-2
- Add search_opts into the method list() for VolumeTypeManager (rhbz#1043417)

* Wed Nov 20 2013 Jakub Ruzicka <jruzicka@redhat.com> 1.0.7-1
- Update to upstream 1.0.7

* Wed Oct 23 2013 Jakub Ruzicka <jruzicka@redhat.com> 1.0.6-2
- Fix DeprecationWarning when printing exception (rhbz#969790)
- Provide -doc package with auto-generated documentation
- Provide upstream manpage
- Improve package description

* Thu Oct 10 2013 Jakub Ruzicka <jruzicka@redhat.com> 1.0.6-1
- Update to upstream 1.0.6
- Add new requirement: python-babel

* Thu Sep 12 2013 Jakub Ruzicka <jruzicka@redhat.com> 1.0.5-1
- Update to upstream version 1.0.5.
- Update dependencies.
- Remove runtime dependency on python-pbr.
- Change Source0 to PyPI.

* Mon May 13 2013 Jakub Ruzicka <jruzicka@redhat.com> 1.0.4-1
- Grizzly release.
- Update to upstream version 1.0.4.
- Update help2man generated manpage.

* Tue Apr 02 2013 Jakub Ruzicka <jruzicka@redhat.com> 1.0.1-4 
- Decode input and encode output. (#888952)

* Tue Mar 19 2013 Jakub Ruzicka <jruzicka@redhat.com> 1.0.1-3
- Add missing python-argparse dependency. (#923267)

* Wed Mar 06 2013 Eric Harney <eharney@redhat.com> 1.0.1-2
- Add man page for 'cinder'

* Tue Feb 19 2013 Eric Harney <eharney@redhat.com> 1.0.1-1
- Rebase to 1.0.1 client

* Tue Feb 19 2013 Eric Harney <eharney@redhat.com> 1.0.0.20-3
- Add force-delete operation

* Mon Feb 11 2013 Eric Harney <eharney@redhat.com> 1.0.0.20-2
- Add bash-completion support

* Thu Jan 31 2013 Eric Harney <eharney@redhat.com> 1.0.0.20-1
- Update to latest cinder client

* Tue Sep 25 2012 Pádraig Brady <P@draigBrady.com> 0.2.26-1
- Update to latest client to support latest cinder

* Mon Sep  3 2012 Pádraig Brady <P@draigBrady.com> 0.2-2
- Initial release
